<?php
/**************************************************
  CPG Photo Shop Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.16
  Photo Shop version: 1.3.6
  $Revision: 1.0 $
  $Author: stramm $
***************************************************/
if (!defined('IN_COPPERMINE'))
{
	die('Not in Coppermine...');
}


if (defined('PHOTOSHOP_ORDER_PHP'))
{
$lang_photoshop_email_order = <<<EOT
Hello {USER_NAME},

Thank you for your order at {SITE_NAME} with the order id {ORDER_ID}.
Please transfer USD {PRICE} as soon as possible.
Some more yadda here.... you can change that in the plugins dir plugins/photo_shop/lang/english.php
<a href="{LINK}">{LINK}</a>

{ADMIN}
EOT;


$lang_photoshop_email_admin = <<<EOT
Hello {ADMIN},

{USER_NAME} just made an order on your site {SITE_NAME}. The id of that order is {ORDER_ID} and the total value {PRICE}.
<a href="{LINK}index.php?file=photo_shop/photo_shop_admin">Click to go to the order manager</a>

Other placeholders you can use (blank if these user profile fiels haven't been filled in):
user_profile1: {USER_PROFILE1}
user_profile2: {USER_PROFILE2}
user_profile3: {USER_PROFILE3}
user_profile4: {USER_PROFILE4}
user_profile5: {USER_PROFILE5}
user_profile6: {USER_PROFILE6}

Best regards,
{ADMIN}
EOT;

$lang_photoshop_email_attach_header = <<<EOT


Here we can have the invoice header like address etc

Coppermine Sample Gallery
4578 Avenue
New York, NY 10001, USA
(718) 111-1234

EOT;
}

$lang_photoshop_register = array(
  'already_member' => 'Already a member',
);



$lang_photoshop_config = array(
  'save_cfg' => 'Save new configuration',
  'new_item' => 'Create new item',
  'title' => 'Shop configuration',
  'type' => 'Type',
  'price' => 'Price',
  'name' => 'Description',
  'max_items' => 'Max items on CD',
  'priority' => 'Priority',
  //new 1.3
  'update_alb' => 'Update album',
  'reset_alb' => 'Reset album',
  'select_alb' => '&nbsp;&nbsp; ** Choose an album ** ',
  //new 1.3.5
  'ship_item' => 'Shipping',
  'order' => 'Order',
  //new 1.3.6
  'shop_enabled' => 'Shop enabled for this album',
  'all_albs' => 'Set prices for all albums in the (sub)category of this album',
  'per_alb_settings' => 'Per Album Settings',


);

$lang_photoshop = array(
  'type_chckout' => 'Type',
  'item_id_checkout' => 'Item ID',
  'amount_checkout' => 'Amount',
  'total_checkout' => 'Price total',
  'admin_title' => 'Shop', // admin menu button title
  'uninstall' => 'Remove the table that was used to store shop data ?',
  'USD' => 'USD',
  'buy' => 'Add image to shopping basket:',
  'send' => 'Add',
  'CD' => 'Add to CD',
  'CD_price' => 'check basket',
  'added' => 'Item added',
  'cart' =>'Shopping cart',
  'boxcd' =>'Items on CD',
  'boxphoto' =>'Items for print',
  'go' =>'GO',
  'save_amounts' => 'Save new amounts',
  'empty_basket' => 'Empty basket',
  'each' => 'each',
  'title' => 'Title:',
  'filename' => 'Filename:',
  'size' => 'Size:',
  'amount' => 'Amount:',
  'total' => 'Total',
  'pics' => 'pics',
  'pricelist' => 'Pricelist',
  'photos' => 'Photos',
  'cds' => 'CDs',
  'to_many_pics' => 'You have to many pics on the CD, please remove some!',
  'on_cd' => 'On CD',
  'for_print' => 'For print',
  'send_order' => 'Confirm your order',
  'goto_cart_cd' => '<a href="index.php?file=photo_shop/photo_shop_cart&box=cd">Open shopping cart</a>',
  'email_subject_order' => 'Thanks for your order',
  'email_subject_order_admin' => 'You got a new order',
  'email_sent' => 'Thanks for your order.<br> We have sent you a confirmation email! <br>Your order will be processed after payment! <br>',
  'cart_empty' => 'Your shopping cart is empty.<br> Please add some items first!',
  'in_cart' => 'images in cart',
  'checkout' => 'Checkout',
  'to_go' => 'You can add %s more images to your CD till the next price level',
  'to_go_full' => 'The CD is full for this price level',
  'to_go_remove' => 'You have added to many images to your CD. Please remove at least %s item(s)!',
  'shipping' => 'Shipping',
  // gateway integration

  'account' => 'Account Number:',
  'routing' => 'ABA routing:',
  'swift' => 'Swift code:',
  'bank' => 'Bank:',
  'wire' => 'Pay by wire transfer:',

  'paypal' => 'Pay with Paypal:',
  'google' => 'Pay with Google Checkout:',
  'order_id' => 'Order ID:',

  // discount, invoice
  'discount' => 'Discount',
  'myorders' => 'My Orders',

  //1.3.6 continue button
  'continue' => 'Continue shopping',
  );

if (defined('PHOTOSHOP_ADMIN_PHP'))
{
$lang_photoshop_admin = array(
  'u_orders_on_p_pages' => '%d orders on %d page(s)',
  'otime_a' => 'Date ascending',
  'otime_d' => 'Date decending',
  'uid_a' => 'User ID ascending',
  'uid_d' => 'User ID decending',
  'oid_a' => 'Order ID ascending',
  'oid_d' => 'Order ID decending',
  'o_board_title' => 'Shop admin',
  'Active' => 'Active',
  'Archive' => 'Archive',
  'OrdersIn'=> 	'Orders in',
  'managefolder'		=>		'Manage folder',
  'orders' => 'orders',
  'switch' => 'Switch to',
  'go' => 'Go',
  'Orders' => 'Orders',
  'mark_all' => 'Mark / unmark all orders',
  'NoOrders' => 'No orders',
  'SelectedOrders' => 'Selected orders',
  'markarchive' => 'Move to Archive',
  'markactive' => 'Move to Active',
  'delete' => 'Delete',
  'new' => 'New order',
  'viewed' => 'Viewed order',
  'processed' => 'Processed order',
  'order_id' => 'Order ID',
  'items' => 'Items',
  'usd_total' => 'USD total',
  'item_price' => 'Price total',
  'size' => 'Size',
  'config' => 'Config',
  'mark_unviewed' => 'Set unviewed',
  'mark_viewed' => 'Set viewed',
  'mark_payed' => 'Set paid',
  'mark_unpayed' => 'Set unpaid',
  'mark_sent' => 'Set sent',
  'mark_unsent' => 'Set unsent',
  'pos' => 'Paid/ sent',
  'neg' => 'Unpaid/ unsent',
  //new stuff 1.1
  'contains' => 'contains',
  'order_s' => 'order(s)',
  'in_total' => 'In total there are',
  'orders_stored' => 'orders stored',
  'stored_orders' => 'Stored orders in this folder',
  'total_orders' => 'Total orders',
  'noitems' => 'No. items',
  'volume' => 'Order volume',
  'user_id' => 'User ID',
  'sort_by' => 'Sort by',
  'amount' => 'Amount',
  'pid' => 'PID',
  'price_pi' => 'price per item',
  'usd' => 'USD',
  'incl_ship' => 'incl. shipping %discount',
  //1.3
  'filename' => 'Filename',
  //1.4
  'download_zip' => 'Download zip'
  );
}
?>