<?php
/**************************************************
  CPG Photo Shop Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.16
  Photo Shop version: 1.3.6
  $Revision: 1.0 $
  $Author: stramm $
***************************************************/
if (!defined('IN_COPPERMINE'))
{
	die('Not in Coppermine...');
}


if (defined('PHOTOSHOP_ORDER_PHP'))
{
$lang_photoshop_email_order = <<<EOT
Hello {USER_NAME},

Thank you for your order at {SITE_NAME} with the order id {ORDER_ID}.
Please transfer USD {PRICE} as soon as possible.
Some more yadda here.... you can change that in the plugins dir plugins/photo_shop/lang/english.php
<a href="{LINK}">{LINK}</a>

Other placeholders you can use (blank if these user profile fiels haven't been filled in):
user_profile1: {USER_PROFILE1}
user_profile2: {USER_PROFILE2}
user_profile3: {USER_PROFILE3}
user_profile4: {USER_PROFILE4}
user_profile5: {USER_PROFILE5}
user_profile6: {USER_PROFILE6}

{ADMIN}
EOT;


$lang_photoshop_email_admin = <<<EOT
Hello admin,

You got a new order on your site.
<a href="{$CONFIG['ecards_more_pic_target']}index.php?file=photo_shop/photo_shop_admin">Click to go to the order manager</a>

EOT;

$lang_photoshop_email_attach_header = <<<EOT


Here we can have the invoice header like address etc

Coppermine Sample Gallery
4578 Avenue
New York, NY 10001, USA
(718) 111-1234

EOT;
}

$lang_photoshop_register = array(
  'already_member' => 'Bereits Mitglied ?',
);



$lang_photoshop_config = array(
  'save_cfg' => 'Neue Konfiguration speichern ?',
  'new_item' => 'Neues Format',
  'title' => 'Shop Konfiguration',
  'type' => 'Type',
  'price' => 'Preis',
  'name' => 'Beschreibung',
  'max_items' => 'Max Photos auf CD',
  'priority' => 'Priorität',
  //new 1.3
  'update_alb' => 'Aktualisiere Album',
  'reset_alb' => 'Album zurücksetzen',
  'select_alb' => '&nbsp;&nbsp; ** Ein Album auswählen ** ',
  //new 1.3.5
  'ship_item' => 'Shipping',
  'order' => 'Order',
  //new 1.3.6
  'shop_enabled' => 'Shop enabled for this album',
  'all_albs' => 'Set prices for all albums in the (sub)category of this album',
  'per_alb_settings' => 'Per Album Settings',
);

$lang_photoshop = array(
  'admin_title' => 'Shop', // admin menu button title
  'uninstall' => 'MySql-Tabellen entfernen die der Shop erstellt hat ?',
  'USD' => ' EUR ',
  'buy' => 'Bild dem Photokorb:',
  'send' => 'hinzufügen',
  'CD' => 'Auf CD',
  'CD_price' => 'Photokorb prüfen',
  'added' => 'Photo hinzugefügt',
  'cart' =>'Photokorb',
  'boxcd' =>'Bilder auf CD',
  'boxphoto' =>'Photos zum ausbelichten',
  'go' =>'GO',
  'save_amounts' => 'Speichere neue Anzahl',
  'empty_basket' => 'Photokorb leeren',
  'each' => 'je',
  'title' => 'Titel:',
  'filename' => 'Dateiname:',
  'size' => 'Grösse:',
  'amount' => 'Menge:',
  'total' => 'Gesamt',
  'pics' => 'Bild(er)',
  'pricelist' => 'Preisliste',
  'photos' => 'Photos',
  'cds' => 'CDs',
  'to_many_pics' => 'Zu viele Bider auf CD, bitte einige löschen!',
  'on_cd' => 'Auf CD',
  'for_print' => 'Zum Ausbelichten',
  'send_order' => 'Bestellung bestätigen',
  'goto_cart_cd' => '<a href="index.php?file=photo_shop/photo_shop_cart&box=cd">Photokorb öffnen</a>',
  'email_subject_order' => 'Danke für die Bestellung',
  'email_subject_order_admin' => 'Eine neue Bestellung',
  'email_sent' => 'Danke für die Bestellung.<br> Eine Bestätigungsmail ist unterwegs (-: <br>Die Bestellung wird sofort nach Zahlungseingang ausgeführt! <br>This is just a demo cart, do not process any payment. Do not paypal me any funds!!!!',
  'cart_empty' => 'Photokorb leer ! .<br> Bitte zuerst Bilder auswählen!',
  'in_cart' => 'Bild(er) im Photokorb',
  'checkout' => 'Bestellen !',
  'to_go' => 'Du kannst noch %s Bilder zur Cd hinzufügen bis zum erreichen des nächsten Preislevels',
  'to_go_full' => 'Das Limit dieses Preislevels ist erreicht !',
  'to_go_remove' => 'Zu viele Bilder auf CD, bitte mindestens %s löschen.!',
  'shipping' => 'Porto',
  // gateway integration

  'account' => 'Account Nummer:',
  'routing' => 'ABA routing:',
  'swift' => 'Swift code:',
  'bank' => 'Bank:',
  'wire' => 'Pay by wire transfer:',

  'paypal' => 'Zahlen mit Paypal:',
  'google' => 'Zahlen mit Google Checkout:',
  'order_id' => 'Bestell ID:',

  // discount, invoice
  'discount' => 'Discount',
  'myorders' => 'My Orders',

  //1.3.6 continue button
  'continue' => 'Continue shopping',
  );

if (defined('PHOTOSHOP_ADMIN_PHP'))
{
$lang_photoshop_admin = array(
  'u_orders_on_p_pages' => '%d Bestellung(en) auf %d Seite(n)',
  'otime_a' => 'Datum aufsteigend',
  'otime_d' => 'Datum absteigend',
  'uid_a' => 'User ID aufsteigend',
  'uid_d' => 'User ID absteigend',
  'oid_a' => 'Bestell ID aufsteigend',
  'oid_d' => 'Bestell ID absteigend',
  'o_board_title' => 'Shop admin',
  'Active' => 'Aktiv',
  'Archive' => 'Archiv',
  'OrdersIn'=> 	'Bestellung(en)',
  'managefolder'=>'Ordner sortieren',
  'orders' => 'Bestellung(en)',
  'switch' => 'Wechseln zu',
  'go' => 'los',
  'Orders' => 'Bestellungen',
  'mark_all' => 'Markieren / Demarkieren ',
  'NoOrders' => 'Keine Bestellungen',
  'SelectedOrders' => 'Gewählte Bestellungen',
  'markarchive' => 'Status Archiv setzen',
  'markactive' => 'Status Aktiv setzen',
  'delete' => 'löschen',
  'new' => 'Neue Bestellung',
  'viewed' => 'gesehene Bestellung',
  'processed' => 'Bestellung bearbeiten',
  'order_id' => 'Bestell ID',
  'items' => 'Photos',
  'usd_total' => 'EUR gesamt',
  'item_price' => 'Preis gesamt',
  'size' => 'Grösse',
  'config' => '*** Konfigurieren ***',
  'mark_unviewed' => 'ungesehen setzen',
  'mark_viewed' => 'gesehen setzen',
  'mark_payed' => 'Bezahlt setzen',
  'mark_unpayed' => 'unbezahlt setzen',
  'mark_sent' => 'versendet setzen',
  'mark_unsent' => 'unversendet setzen',
  'pos' => 'Bezahlt / versendet',
  'neg' => 'Unbezahlt / unversendet',
  //new stuff 1.1
  'contains' => 'beinhaltet',
  'order_s' => 'Bestellung(en)',
  'in_total' => 'Gesamt',
  'orders_stored' => 'gespeicherte Bestellungen',
  'stored_orders' => 'gespicherteBestellungen in diesem Ordner',
  'total_orders' => 'Gesamte Bestellungen',
  'noitems' => 'Anzahl Photos',
  'volume' => 'Bestellumfang',
  'user_id' => 'User ID',
  'sort_by' => 'Sortiere nach',
  'amount' => 'Menge',
  'pid' => 'PID',
  'price_pi' => 'Preis je Bild',
  'usd' => 'EUR',
  'incl_ship' => 'incl. Versand %Rabatt',
  //1.3
  'filename' => 'Dateiname',
  // 1.4
  'download_zip' => 'Bestellte Bilder downloaden (zip)'
  );
}
?>