<?php
/**************************************************
  CPG Photo Shop Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.16
  Photo Shop version: 1.3.6
  $Revision: 1.0 $
  $Author: stramm $
  *************************************************
  These 6 lines are added by Joost
  This file replaces the original file and is the Dutch translation
  Only those parts that show to the user haven been translated - all comments
  and none visible parts are unchanged
  The content of the confirmation email (to the client) and the notification
  to the admin has to be adjusted to your own needs
  *************************************************/
if (!defined('IN_COPPERMINE'))
{
  die('Not in Coppermine...');
}


if (defined('PHOTOSHOP_ORDER_PHP'))
{
$lang_photoshop_email_order = <<<EOT
Hallo {USER_NAME},

Bedankt voor uw bestelling bij "{SITE_NAME}". Uw bestelling staat bij ons geregistreerd onder nummer {ORDER_ID}.
Zodra we het verschuldigde bedrag, &euro; {PRICE}, van u hebben ontvangen wordt uw bestelling verwerkt en verzonden.

Admin: plaats extra informatie hier. Dit dient u te doen in het bestand english.php, dat u kunt vinden in de plugins directory:
<a href="{LINK}./plugins/photo_shop/lang">{LINK}/plugins/photo_shop/lang</a>

{ADMIN}
EOT;


$lang_photoshop_email_admin = <<<EOT
Hallo admin,

Er is een nieuwe bestelling op uw website geplaatst.
<a href="{$CONFIG['ecards_more_pic_target']}index.php?file=photo_shop/photo_shop_admin">Klik hier om uw bestelling te bekijken</a>

Other placeholders you can use (blank if these user profile fiels haven't been filled in):
user_profile1: {USER_PROFILE1}
user_profile2: {USER_PROFILE2}
user_profile3: {USER_PROFILE3}
user_profile4: {USER_PROFILE4}
user_profile5: {USER_PROFILE5}
user_profile6: {USER_PROFILE6}

{ADMIN}
EOT;

$lang_photoshop_email_attach_header = <<<EOT


Here we can have the invoice header like address etc

Coppermine Sample Gallery
4578 Avenue
New York, NY 10001, USA
(718) 111-1234

EOT;
}

$lang_photoshop_register = array(
  'already_member' => 'Bestaande relatie',
);



$lang_photoshop_config = array(
  'save_cfg' => 'Bewaar de nieuwe configuratie',
  'new_item' => 'Maak een nieuw artikel',
  'title' => 'Shop configuratie',
  'type' => 'Type',
  'price' => 'Prijs',
  'name' => 'Omschrijving',
  'max_items' => 'Max aantal op CD',
  'priority' => 'Prioriteit',
  //new 1.3
  'update_alb' => 'Album bijwerken',
  'reset_alb' => 'Reset naar standaard prijzen',
  'select_alb' => '&nbsp;&nbsp; ** Kies een album ** ',
  //new 1.3.5
  'ship_item' => 'Shipping',
  'order' => 'Order',
  //new 1.3.6
  'shop_enabled' => 'Shop enabled for this album',
  'all_albs' => 'Set prices for all albums in the (sub)category of this album',
  'per_alb_settings' => 'Per Album Settings',
);

$lang_photoshop = array(
  'type_chckout' => 'Type',
  'item_id_checkout' => 'Artikel ID',
  'amount_checkout' => 'Aantal',
  'total_checkout' => 'Prijs totaal',
  'admin_title' => 'Shop', // admin menu button title
  'uninstall' => 'Verwijder de tabel waarin de shop data worden bewaard?',
  'USD' => 'Euro ',
  'buy' => 'Plaats foto in winkelmandje:',
  'send' => 'Bestellen',
  'CD' => 'digitaal bestand op CD',
  'CD_price' => 'bekijk winkelmandje',
  /* regel hierboven nog even controleren */
  'added' => 'toegevoegd',
  'cart' =>'Winkelmandje',
  'boxcd' =>'Foto(s) op CD',
  'boxphoto' =>'Foto(s) voor afdruk',
  'go' =>'Doorgaan',
  'save_amounts' => 'Opnieuw berekenen',
  'empty_basket' => 'Winkelmandje leegmaken',
  'each' => 'per stuk',
  'title' => 'Titel:',
  'filename' => 'Bestandsnaam:',
  'size' => 'Formaat:',
  'amount' => 'Aantal:',
  'total' => 'Totaal',
  'pics' => 'foto(s)',
  'pricelist' => 'Standaard prijslijst',
  'photos' => 'Foto(s)',
  'cds' => 'CDs',
  'to_many_pics' => 'Er zijn teveel fotos voor de CD geselecteerd, verwijder enkele fotos uit het winkelmandje!',
  'on_cd' => 'Op CD',
  'for_print' => 'Subtotaal bestelling',
  'send_order' => 'Bevestig de bestelling',
  'goto_cart_cd' => '<a href="index.php?file=photo_shop/photo_shop_cart&box=cd">Bekijk de winkelmandje</a>',
  'email_subject_order' => 'Bedankt voor uw bestelling',
  'email_subject_order_admin' => 'Er is een nieuwe bestelling geplaatst',
  'email_sent' => 'Bedankt voor uw bestelling.<br>Een email ter bevestiging is naar u verzonden! <br>Zodra uw betaling is ontvangen wordt uw bestelling afgehandeld! <br>This is just a demo cart, do not process any payment. Do not paypal me any funds!!!!',
  'cart_empty' => 'Uw winkelmandje is leeg.<br> Gelieve eerst een of meer fotos te selecteren!',
  'in_cart' => 'foto(s) in winkelmandje',
  'checkout' => 'Bestelling voltooien',
  'to_go' => 'U kunt in deze prijscategorie nog %s fotos zonder toeslag toevoegen',
  'to_go_full' => 'De CD is vol voor dit prijsniveau',
  'to_go_remove' => 'Er zijn teveel fotos voor de CD geselecteerd. Verwijder mininaal %s foto(s)!',
  'shipping' => 'Verzendkosten',
  // gateway integration

  'account' => 'Klant nummer:',
  'routing' => 'ABA routing:',
  'swift' => 'Swift code:',
  'bank' => 'Bank:',
  'wire' => 'Pay by wire transfer:',

  'paypal' => 'Betaal met Paypal:',
  'google' => 'Betaal met Google Checkout:',
  'order_id' => 'Bestelling ID:',

  // discount, invoice
  'discount' => 'Discount',
  'myorders' => 'My Orders',
  //1.3.6 continue button
  'continue' => 'Continue shopping',
  );

if (defined('PHOTOSHOP_ADMIN_PHP'))
{
$lang_photoshop_admin = array(
  'u_orders_on_p_pages' => '%d bestelligen op %d pagina(s)',
  'otime_a' => 'Datum oplopend',
  'otime_d' => 'Datum aflopend',
  'uid_a' => 'Klant ID oplopend',
  'uid_d' => 'Klant ID aflopend',
  'oid_a' => 'Bestelling ID oplopend',
  'oid_d' => 'Bestelling ID aflopend',
  'o_board_title' => 'Shop admin',
  'Active' => 'Actief',
  'Archive' => 'Archief',
  'OrdersIn'=>   'Bestellingen',
  'managefolder'    =>    'Beheer map',
  'orders' => 'bestellingen',
  'switch' => 'Ga naar',
  'go' => 'Doorgaan',
  'Orders' => 'Bestellingen',
  'mark_all' => 'Selecteer/deselecteer alle bestellingen',
  'NoOrders' => 'Geen bestellingen',
  'SelectedOrders' => 'Voor de volgende actie uit op de gemarkeerde bestellingen: ',
  'markarchive' => 'Verplaats naar archief',
  'markactive' => 'Verplaats naar archief',
  'delete' => 'Verwijder',
  'new' => 'Nieuwe bestelling',
  'viewed' => 'Bekeken bestelling',
  'processed' => 'Verwerkte bestelling',
  'order_id' => 'Bestelling ID',
  'items' => 'Artikelen',
  'usd_total' => 'euro totaal',
  'item_price' => 'Prijs totaal',
  'size' => 'Formaat',
  'config' => 'Configuratie',
  'mark_unviewed' => 'markeer als niet bekeken',
  'mark_viewed' => 'markeer als bekeken',
  'mark_payed' => 'markeer als betaald',
  'mark_unpayed' => 'markeer als onbetaald',
  'mark_sent' => 'markeer als verzonden',
  'mark_unsent' => 'markeer als niet verzonden',
  'pos' => 'Betaald/ verzonden',
  'neg' => 'Niet betaald/ niet verzonden',
  //new stuff 1.1
  'contains' => 'bevat',
  'order_s' => 'besteling(en)',
  'in_total' => 'In het totaal zijn er',
  'orders_stored' => 'bestellingen opgeslagen',
  'stored_orders' => 'Opgeslagen bestellingen in deze map',
  'total_orders' => 'Totaal aantal bestellingen',
  'noitems' => 'Aantal stuks',
  'volume' => 'Omvang van de bestellingen',
  'user_id' => 'Klant ID',
  'sort_by' => 'Sorteer op',
  'amount' => 'Aantal',
  'pid' => 'PID',
  'price_pi' => 'prijs per stuk',
  'usd' => 'euro ',
  'incl_ship' => 'incl. verzendkosten %discount',
  //1.3
  'filename' => 'Bestandsnaam',
  //1.4
  'download_zip' => 'Download zip'
  );
}
?>