<?php
/**************************************************
  CPG Photo Shop Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.16
  Photo Shop version: 1.3.6
  $Revision: 1.0 $
  $Author: stramm $
  Traslation by angeldevil
***************************************************/
if (!defined('IN_COPPERMINE'))
{
	die('Not in Coppermine...');
}


if (defined('PHOTOSHOP_ORDER_PHP'))
{
$lang_photoshop_email_order = <<<EOT
Ciao {USER_NAME},

Grazie per aver ordinato su {SITE_NAME} con ordine id {ORDER_ID}.
Per favore trasferisci Euro {PRICE} appena possibile.

Admin: se vuoi modificare altre cose puoi cambiarle nella directory dei plugin:

<a href="{LINK}./plugins/photo_shop/lang">{LINK}/plugins/photo_shop/lang</a>

Other placeholders you can use (blank if these user profile fiels haven't been filled in):
user_profile1: {USER_PROFILE1}
user_profile2: {USER_PROFILE2}
user_profile3: {USER_PROFILE3}
user_profile4: {USER_PROFILE4}
user_profile5: {USER_PROFILE5}
user_profile6: {USER_PROFILE6}

{ADMIN}
EOT;


$lang_photoshop_email_admin = <<<EOT
Ciao admin,

Hai un nuovo ordine nel tuo sito.
<a href="{$CONFIG['ecards_more_pic_target']}index.php?file=photo_shop/photo_shop_admin">Clicca e vai alla gestione degli ordini</a>

EOT;

$lang_photoshop_email_attach_header = <<<EOT


Here we can have the invoice header like address etc

Coppermine Sample Gallery
4578 Avenue
New York, NY 10001, USA
(718) 111-1234

EOT;
}

$lang_photoshop_register = array(
  'already_member' => 'Sono gi&#224; registrato',
);



$lang_photoshop_config = array(
  'save_cfg' => 'Salva nuova configurazione',
  'new_item' => 'Crea una nuova voce',
  'title' => 'Configurazione acquisti',
  'type' => 'Tipo',
  'price' => 'Prezzo',
  'name' => 'Descrizione',
  'max_items' => 'Max voci su CD',
  'priority' => 'Priorita',
  //new 1.3
  'update_alb' => 'Aggiorna album',
  'reset_alb' => 'Resetta album',
  'select_alb' => '&nbsp;&nbsp; ** Scegli un album ** ',
  //new 1.3.5
  'ship_item' => 'Shipping',
  'order' => 'Order',
  //new 1.3.6
  'shop_enabled' => 'Shop enabled for this album',
  'all_albs' => 'Set prices for all albums in the (sub)category of this album',
  'per_alb_settings' => 'Per Album Settings',
);

$lang_photoshop = array(
  'type_chckout' => 'Tipo',
  'item_id_checkout' => 'Voce ID',
  'amount_checkout' => 'Importo',
  'total_checkout' => 'Prezzo totale',
  'admin_title' => 'Shop', // admin menu button title
  'uninstall' => 'Remove the table that was used to store shop data ?',
  'USD' => 'Euro',
  'buy' => 'Aggiungi un\'immagine al carrello:',
  'send' => 'Aggiungi',
  'CD' => 'Aggiungi al CD',
  'CD_price' => 'controlla carrello',
  'added' => 'Aggiungi voce',
  'cart' =>'Carrello acquisti',
  'boxcd' =>'Voci sul CD',
  'boxphoto' =>'Voci per stampa',
  'go' =>'GO',
  'save_amounts' => 'Salva i nuovi importi',
  'empty_basket' => 'Svuota il carrello',
  'each' => 'ciascuno',
  'title' => 'Titolo:',
  'filename' => 'Nome file:',
  'size' => 'Misura:',
  'amount' => 'Importo:',
  'total' => 'Totale',
  'pics' => 'immagini',
  'pricelist' => 'Listino prezzi',
  'photos' => 'Fotografie',
  'cds' => 'CDs',
  'to_many_pics' => 'Troppe immagini nel CD, per favore rimuovine qualcuna!',
  'on_cd' => 'Su CD',
  'for_print' => 'Per la stampa',
  'send_order' => 'Comferma il tuo ordine',
  'goto_cart_cd' => '<a href="index.php?file=photo_shop/photo_shop_cart&box=cd">Apri il carrello acquisti</a>',
  'email_subject_order' => 'Grazie per l\'acquisto',
  'email_subject_order_admin' => 'Fai un nuovo ordine',
  'email_sent' => 'Grazie per l\'acquisto.<br> Ti invieremo una email di conferma! <br>Il tuo ordine sar&#224; evaso dopo il pagamento! <br>This is just a demo cart, do not process any payment. Do not paypal me any funds!!!!',
  'cart_empty' => 'Il tuo carrello &#232; vuoto.<br> Per favore aggiungi almeno una voce!',
  'in_cart' => 'immagini nel carrello',
  'checkout' => 'Verifica',
  'to_go' => 'Puoi ancora aggiungere %s immagini al tuo CD per raggiungere l\'importo selezionato',
  'to_go_full' => 'Il tuo CD &#232; pieno hai raggiunto l\'importo selezionato',
  'to_go_remove' => 'Hai aggiunto troppe immagini al tuo CD. Per favore rimuovi le ultime %s voci!',
  'shipping' => 'Spedizione',
  // gateway integration

  'account' => 'Numero carta:',
  'routing' => 'Scadenza (gg.mm.aa.):',
  'swift' => 'Codice sicurezza:',
  'bank' => 'Banca:',
  'wire' => 'Pagamento mediante bonifico:',

  'paypal' => 'Paga con Paypal:',
  'google' => 'Paga con Google Checkout:',
  'order_id' => 'Ordine ID:',

  // discount, invoice
  'discount' => 'Discount',
  'myorders' => 'My Orders',

  //1.3.6 continue button
  'continue' => 'Continue shopping',
  );

if (defined('PHOTOSHOP_ADMIN_PHP'))
{
$lang_photoshop_admin = array(
  'u_orders_on_p_pages' => '%d ordini in %d pagina(e)',
  'otime_a' => 'Data ascendente',
  'otime_d' => 'Data dicendente',
  'uid_a' => 'User ID ascendente',
  'uid_d' => 'User ID dicendente',
  'oid_a' => 'Ordine ID ascendente',
  'oid_d' => 'Ordine ID dicendente',
  'o_board_title' => 'Gestione Shop',
  'Active' => 'Attivo',
  'Archive' => 'Archivio',
  'OrdersIn'=> 	'Ordini in',
  'managefolder'		=>		'Cartella gestione',
  'orders' => 'ordini',
  'switch' => 'Cambia in',
  'go' => 'Go',
  'Orders' => 'Ordini',
  'mark_all' => 'Mark / unmark tutti gli ordini',
  'NoOrders' => 'Nessun ordine',
  'SelectedOrders' => 'Ordini selezionati',
  'markarchive' => 'Sposta in archivio',
  'markactive' => 'Sposta in Attivi',
  'delete' => 'Cancella',
  'new' => 'Nuovo ordine',
  'viewed' => 'Guarda gli ordini',
  'processed' => 'Ordini evasi',
  'order_id' => 'Ordine ID',
  'items' => 'Voci',
  'usd_total' => 'Euro totali',
  'item_price' => 'Prezzo totale',
  'size' => 'Misura',
  'config' => 'Configura',
  'mark_unviewed' => 'Segna come non visto',
  'mark_viewed' => 'Segna come visto',
  'mark_payed' => 'Segna come pagato',
  'mark_unpayed' => 'Segna come non pagato',
  'mark_sent' => 'Segna come inviato',
  'mark_unsent' => 'Segna coma non inviato',
  'pos' => 'Pagato/ inviato',
  'neg' => 'Non pagato/ non inviatot',
  //new stuff 1.1
  'contains' => 'contenuti',
  'order_s' => 'ordine(i)',
  'in_total' => 'In totale ci sono',
  'orders_stored' => 'ordini salvati',
  'stored_orders' => 'Salva gli ordini in questa cartella',
  'total_orders' => 'Totale ordini',
  'noitems' => 'No. voci',
  'volume' => 'Volume ordine',
  'user_id' => 'User ID',
  'sort_by' => 'Elenca per',
  'amount' => 'Importo',
  'pid' => 'PID',
  'price_pi' => 'prezzo per voce',
  'usd' => 'Euro',
  'incl_ship' => 'incl. shipping %discount',
  //1.3
  'filename' => 'Nome file',
  //1.4
  'download_zip' => 'Download zip'
  );
}
?>