<?php
/**************************************************
  CPG Photo Shop Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.16
  Photo Shop version: 1.3.6
  $Revision: 1.0 $
  $Author: stramm $
***************************************************/
if (!defined('IN_COPPERMINE'))
{
	die('Poza Coppermine...');
}


if (defined('PHOTOSHOP_ORDER_PHP'))
{
$lang_photoshop_email_order = <<<EOT
Witaj {USER_NAME},

Dziękuję za złożenie zamówienia numer {ORDER_ID} na stronie {SITE_NAME}.
Proszę o wpłatę {PRICE}PLN by jak najszybciej rozpocząć realizację zamówienia.
(info o sposobie płatnośći itp. tutaj)

EOT;


$lang_photoshop_email_admin = <<<EOT
Witaj {ADMIN},

Użytkownik {USER_NAME} właśnie złożył zamówienie na stronie {SITE_NAME}. Numer zamówienmia to {ORDER_ID} a całkowita wartość to {PRICE} PLN.
<a href="{LINK}index.php?file=photo_shop/photo_shop_admin">Kliknij tu by przejść do administracji zamówień.</a>

Other placeholders you can use (blank if these user profile fiels haven't been filled in):
user_profile1: {USER_PROFILE1}
user_profile2: {USER_PROFILE2}
user_profile3: {USER_PROFILE3}
user_profile4: {USER_PROFILE4}
user_profile5: {USER_PROFILE5}
user_profile6: {USER_PROFILE6}

{ADMIN}
EOT;

$lang_photoshop_email_attach_header = <<<EOT

{ADMIN}
ul. Jakaś_Ulica 25
01-234 Jakieś_Miasto, Polska
(048) 0123456789

EOT;
}

$lang_photoshop_register = array(
  'already_member' => 'Już jest użytkownikiem',
);



$lang_photoshop_config = array(
  'save_cfg' => 'Zapisz konfigurację',
  'new_item' => 'Nowy przedmiot',
  'title' => 'Konfiguracja Sklepu',
  'type' => 'Typ',
  'price' => 'Cena',
  'name' => 'Opis',
  'max_items' => 'Maksimum elementów na CD',
  'priority' => 'Priorytet',
  //new 1.3
  'update_alb' => 'Uaktualnij album',
  'reset_alb' => 'Odtwórz Album',
  'select_alb' => '&nbsp;&nbsp; ** Wybierz Album ** ',
  //new 1.3.5
  'ship_item' => 'Shipping',
  'order' => 'Order',
  //new 1.3.6
  'shop_enabled' => 'Shop enabled for this album',
  'all_albs' => 'Set prices for all albums in the (sub)category of this album',
  'per_alb_settings' => 'Per Album Settings',
);

$lang_photoshop = array(
  'type_chckout' => 'Typ',
  'item_id_checkout' => 'Przedmiot',
  'amount_checkout' => 'Ilość',
  'total_checkout' => 'Podsuma',
  'admin_title' => 'Sklep', // admin menu button title
  'uninstall' => 'Usunąć tabelę gdzie przechowywana jest konfiguracja sklepu?',
  'USD' => 'PLN ',
  'buy' => 'Dodaj do koszyka:',
  'send' => 'Dodaj',
  'CD' => 'Dodaj do CD',
  'CD_price' => 'Sprawdź koszyk',
  'added' => 'Przedmiot dodany',
  'cart' =>'Koszyk z zakupami',
  'boxcd' =>'Elementów na CD',
  'boxphoto' =>'Elementów do wywołania',
  'go' =>'Wykonaj',
  'save_amounts' => 'Zapisz nowe ilości',
  'empty_basket' => 'Opróżnij koszyk',
  'each' => 'każdy',
  'title' => 'Tytuł:',
  'filename' => 'Nazwa pliku:',
  'size' => 'Rozmiar:',
  'amount' => 'Ilość:',
  'total' => 'Razem',
  'pics' => 'obrazków',
  'pricelist' => 'Cennik',
  'photos' => 'Odbitki',
  'cds' => 'Płyt CD',
  'to_many_pics' => 'Masz zbyt wiele elementów na CD, usuń niektóre!',
  'on_cd' => 'Na CD',
  'for_print' => 'Do wywołania',
  'send_order' => 'Potwierdź zamówienie',
  'goto_cart_cd' => '<a href="index.php?file=photo_shop/photo_shop_cart&box=cd">Pokaż Koszyk</a>',
  'email_subject_order' => 'Dziękuję za zamówienie',
  'email_subject_order_admin' => 'Masz nowe zamówienie',
  'email_sent' => 'Dziękuję za złożenie zamówienia.<br> Email z potwierdzeniem został wysłany! <br>Zamówienie zostanie zrealizowane po otrzymaniu wpłaty.',
  'cart_empty' => 'Twój kosz jest pusty.<br> Dodaj najpierw jakieś elementy!',
  'in_cart' => 'Obrazków w Koszu',
  'checkout' => 'Zamów',
  'to_go' => 'Możesz dodać %s więcej obrazków do CD nim przekroczysz kolejny próg cenowy',
  'to_go_full' => 'CD jest pełne dla tego progu cenowego',
  'to_go_remove' => 'Zbyt wiele elementów dodanych do CD. usuń przynajmniej %s przedmiot(ów)!',
  'shipping' => 'Przesyłka',
  // gateway integration

  'account' => 'Numer Konta:',
  'routing' => 'ABA routing:',
  'swift' => 'Swift code:',
  'bank' => 'Bank:',
  'wire' => 'Zapłać "by wire transfer":',

  'paypal' => 'Płatność Paypal:',
  'google' => 'Płatność Google Checkout:',
  'order_id' => 'Numer zamówienia:',

  // discount, invoice
  'discount' => 'Zniżka',
  'myorders' => 'Moje Zamówienia',

  //1.3.6 continue button
  'continue' => 'Continue shopping',
  );

if (defined('PHOTOSHOP_ADMIN_PHP'))
{
$lang_photoshop_admin = array(
  'u_orders_on_p_pages' => '%d zamówień (%d stron)',
  'otime_a' => 'Data rosnąco',
  'otime_d' => 'Data malejąco',
  'uid_a' => 'ID urzytkownika rosnąco',
  'uid_d' => 'ID urzytkownika malejąco',
  'oid_a' => 'ID zamówienia rosnąco',
  'oid_d' => 'ID zamówienia malejąco',
  'o_board_title' => 'Administracja Sklepu',
  'Active' => 'Aktualne',
  'Archive' => 'Archiwum',
  'OrdersIn'=> 	'Zamówień w',
  'managefolder'	=>	'Zarządzaj folderem',
  'orders' => 'zamówień',
  'switch' => 'Zmień na',
  'go' => 'Wybierz',
  'Orders' => 'Zamówień',
  'mark_all' => 'Zaznacz/odzancz wszystkie zamówienia',
  'NoOrders' => 'Brak zamówień',
  'SelectedOrders' => 'Wybranych zamówień',
  'markarchive' => 'Przenieś do Archiwum',
  'markactive' => 'Przenieś do Aktualnych',
  'delete' => 'Usuń',
  'new' => 'Nowe zamówienie',
  'viewed' => 'Obejżane zamówienie',
  'processed' => 'Zrealizowane zamówienia',
  'order_id' => 'ID zamówienia',
  'items' => 'Elementów',
  'usd_total' => 'Kwota w PLN',
  'item_price' => 'Całkowity koszt',
  'size' => 'Rozmiar',
  'config' => 'Konfiguracja',
  'mark_unviewed' => 'Nieoglądane',
  'mark_viewed' => 'Oglądane',
  'mark_payed' => 'Zapłacone',
  'mark_unpayed' => 'Niezapłacone',
  'mark_sent' => 'Wysłane',
  'mark_unsent' => 'Niewysłane',
  'pos' => 'Zapłacone/Wysłane',
  'neg' => 'Niezapłacone/Niewysłane',
  //new stuff 1.1
  'contains' => 'zawiera',
  'order_s' => 'zamówień',
  'in_total' => 'W sumie jest',
  'orders_stored' => 'zapisanych zamówień',
  'stored_orders' => 'Zamówień zapisanych w tym folderze',
  'total_orders' => 'Łącznie zamówień',
  'noitems' => 'Liczba Elementów',
  'volume' => 'Ilosć',
  'user_id' => 'ID Użytkownika',
  'sort_by' => 'Sortuj według',
  'amount' => 'Sztuk',
  'pid' => 'PID',
  'price_pi' => 'cena za sztukę',
  'usd' => 'PLN',
  'incl_ship' => 'w tym zniżki %discount',
  //1.3
  'filename' => 'Nazwa pliku',
  //1.4
  'download_zip' => 'Zapisz zip'
  );
}
?>