<?php
/**************************************************
  CPG Photo Shop Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.16
  Photo Shop version: 1.3.6
  $Revision: 1.0 $
  $Author: stramm $
***************************************************/

	define('IN_COPPERMINE', true);
	define('PHOTOSHOP_IPN_PHP', true);

	require('include/gateway.inc.php');

	//------------------------------------------------------------------
	// Open log file (in append mode) and write the current time into it.
	// Open the DB Connection. Open the actual database.
	//-------------------------------------------------------------------



	if ( !file_exists($CONFIG['photo_shop_paypal_ipn_logfile'])){
	    touch ($CONFIG['photo_shop_paypal_ipn_logfile']);
	}
	$log = fopen ($CONFIG['photo_shop_paypal_ipn_logfile'], 'a');

	fwrite($log, "\n\nipn - " . gmstrftime ("%b %d %Y %H:%M:%S", time()) . "\n");
	//db open via init.inc.php (coppermine)
	//$db = mysql_connect("localhost", "yourname", "yourpassword");
	//mysql_select_db("yourdb",$db);


	//------------------------------------------------
	// Read post from PayPal system and create reply
	// starting with: 'cmd=_notify-validate'...
	// then repeating all values sent - VALIDATION.
	//------------------------------------------------
	$postvars = array();
	while (list ($key, $value) = each ($HTTP_POST_VARS)) {
	$postvars[] = $key;
	}
	$req = 'cmd=_notify-validate';
	for ($var = 0; $var < count ($postvars); $var++) {
	$postvar_key = $postvars[$var];
	$postvar_value = $$postvars[$var];
	$req .= "&" . $postvar_key . "=" . urlencode ($postvar_value);
	}


	//--------------------------------------------
	// Create message to post back to PayPal...
	// Open a socket to the PayPal server...
	//--------------------------------------------
	$header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
	$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
	$header .= "Content-Length: " . strlen ($req) . "\r\n\r\n";
	$fp = fsockopen ("www.paypal.com", 80, $errno, $errstr, 30);

	//------------------
	// Write to log file
	//------------------
	//$log_value = "Vals: ".$invoice." ".$receiver_email." ".$item_name." ".$item_number." ".$quantity." ".$payment_status." ".$pending_reason." ".$payment_date." ".$payment_gross." ".$payment_fee." ".$txn_id." ".$txn_type." ".$first_name." ".$last_name." ".$address_street." ".$address_city." ".$address_state." ".$address_zip." ".$address_country." ".$address_status." ".$payer_email." ".$payer_status." ".$payment_type." ".$notify_version." ".$verify_sign."\ n";
	$log_value = print_r($HTTP_POST_VARS);
	fwrite($log, $log_value);


	//----------------------------------------------------------------------
	// Check HTTP connection made to PayPal OK, If not, print an error msg
	//----------------------------------------------------------------------
	if (!$fp) {
		echo "$errstr ($errno)";
		fwrite($log, "Failed to open HTTP connection!");
		$res = "FAILED";
	}


	//--------------------------------------------------------
	// If connected OK, write the posted values back, then...
	//--------------------------------------------------------
	else {
		fputs ($fp, $header . $req);
		//-------------------------------------------
		// ...read the results of the verification...
		// If VERIFIED = continue to process the TX...
		//-------------------------------------------
		while (!feof($fp)) {
			$res = fgets ($fp, 1024);
			if (strcmp ($res, "VERIFIED") == 0) {


			//----------------------------------------------------------------------
			// If the payment_status=Completed... Get the password for the product
			// from the DB and email it to the customer.
			//----------------------------------------------------------------------
				if (strcmp ($payment_status, "Completed") == 0) {
					//$qry = "SELECT password FROM products WHERE pid = \"$item_number\" ";
					//$result = mysql_query($qry,$db);
					//while ($myrow = mysql_fetch_row($result)) { $passwd = $myrow[0]; }

					$message .= "Dear Customer,\n Thankyou for your order.\n\nThe password f or the item you ordered is: $row[0]\n\nIf you have any problems, please contact us: \n\nsales\@yourdomain.com";
					//mail($payer_email, "Your Book Password...", $message, "From: ipn@yourdomain.com\nReply-To: sales@yourdomain.com");
				}


				//----------------------------------------------------------------------
				// If the payment_status is NOT Completed... You'll have to send the
				// password later, by hand, when the funds clear...
				//----------------------------------------------------------------------

				else {
					$message .= "Dear Customer,\n Thankyou for your order.\n\nThe password for the item you ordered will be sent to you when the funds have cleared.\n\nThankyou \n\nsales\@yourdomain.com";
					//mail($payer_email, "Your Book Password...", $message, "From: ipn@yourdomain.com\nReply-To: sales@yourdomain.com");
					//mail($receiver_email, "Incomplete PayPal TX...", "An incomplete transaction requires your attention.");
				}

			}

				//----------------------------------------------------------------
				// ..If UNVerified - It's 'Suspicious' and needs investigating!
				// Send an email to yourself so you investigate it.
				//----------------------------------------------------------------

			else {
				//mail($payer_email, "An Error Occurred...", "Dear Customer,\n an error occurred while PayPal was processing your order. It will be investigated by a human at the earliest opportunity.\n\nWe apologise for any inconvenience.", "From: ipn@yourdomain.com\nReply-To: sales@yourdomain.com");
				//mail($receiver_email, "Invalid PayPal TX...", "An invalid transaction requires your attention.");
			}
		}
	}



	//--------------------------------------
	// Insert Transaction details into DB.
	//--------------------------------------
	/*
	$qry = "INSERT into psales (
	invoice, receiver_email, item_name, item_number, quantity, payment_status, pendi ng_reason, payment_date, payment_gross, payment_fee, txn_id, txn_type, first_nam e, last_name, address_street, address_city, address_state, address_zip, address_ country, address_status, payer_email, payer_status, payment_type, notify_version , verify_sign )
	VALUES
	( \"$invoice\", \"$receiver_email\", \"$item_name\", \"$item_number\", \"$quanti ty\", \"$payment_status\", \"$pending_reason\", \"$payment_date\", \"$payment_gr oss\", \"$payment_fee\", \"$txn_id\", \"$txn_type\", \"$first_name\", \"$last_na me\", \"$address_street\", \"$address_city\", \"$address_state\", \"$address_zip \", \"$address_country\", \"$address_status\", \"$payer_email\", \"$payer_status \", \"$payment_type\", \"$notify_version\", \"$verify_sign\" ) ";

	$result = mysql_query($qry,$db);
	*/

	//-------------------------------------------
	// Close PayPal Connection, Log File and DB.
	//-------------------------------------------
	fclose ($fp);
	fclose ($log);
	mysql_close($db);
?>