#**************************************************
#  CPG Photo Shop Plugin for Coppermine Photo Gallery
#  *************************************************
#  Copyright (c) 2006 Thomas Lange <stramm@gmx.net>
#  *************************************************
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  *************************************************
#  Coppermine version: 1.4.16
#  Photo Shop version: 1.3.6
#  $Revision: 1.0 $
#  $Author: stramm $
#***************************************************

#
# Table structure for table `CPG_shop`
#

CREATE TABLE `CPG_shop` (
  `id` int(11) NOT NULL auto_increment,
  `oid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `pid` int(11) NOT NULL default '0',
  `cd` tinyint(2) NOT NULL default '0',
  `quantity` int(11) NOT NULL default '0',
  `size` varchar(40) NOT NULL default '0',
  `price` dec(9,2) NOT NULL default '0',
  `otime` int(11) NOT NULL default '0',
  `status` tinyint(2) NOT NULL default '0',
  `aktive` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id`, `oid`)
) TYPE=MyISAM AUTO_INCREMENT=1;

#
# Table structure for table `CPG_shop_config`
#

CREATE TABLE `CPG_shop_config` (
 `id` int(11) NOT NULL auto_increment,
 `type` varchar(40) NOT NULL default '0',
 `name` varchar(40) NOT NULL default '0',
 `price` dec(9,2) NOT NULL default '0',
 `max_items` varchar(40) NOT NULL default '0',
 `priority` int(5) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1;

ALTER TABLE `CPG_shop_config` ADD `ship` dec(9,2) NOT NULL default '0' AFTER `max_items`;

CREATE TABLE `CPG_shop_prices` (
 `id` int(11) NOT NULL auto_increment,
 `aid` int(11) NOT NULL default '0',
 `gid` int(11) NOT NULL default '0',
 `price` dec(9,2) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1;

INSERT INTO `CPG_shop_config` VALUES ('', 'photo', '4x6', '2.00', '0', '0', '0');
INSERT INTO `CPG_shop_config` VALUES ('', 'photo', '5x7', '3.00', '0', '0', '1');
INSERT INTO `CPG_shop_config` VALUES ('', 'photo', '8x10', '4.00', '0', '0', '2');
INSERT INTO `CPG_shop_config` VALUES ('', 'cd', '25 pictures cd', '25.00', '25', '0', '3');
INSERT INTO `CPG_shop_config` VALUES ('', 'cd', '50 pictures cd', '40.00', '50', '0', '4');
INSERT INTO `CPG_shop_config` VALUES ('', 'cd', '100 pictures cd', '70.00', '100', '0', '5');
INSERT INTO `CPG_shop_config` VALUES ('', 'ship', 'Shipping', '4.00', '0', '0', '6');